Arduino

Reference Language | Libraries | Comparison | Changes

SD

## mkdir()

#### Description

Create a directory on the SD card. This will also create any intermediate directories that don't already exists; e.g. SD.mkdir("a/b/c") will create a, b, and c.

#### Syntax

SD.mkdir(filename)

#### Parameters

filename: the name of the directory to create, with sub-directories separated by forward-slashes, /

#### Returns

true if the creation of the directory succeeded, false if not

#### See also

- rmdir()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes